--[[
**********************************
Licence: GPL
(c) 2013 rudi
v0.1.002 fuer Pure-Version 36 von twlo_pur.lua
required CHDK 1.2 r.2453 or higher
**********************************

loader for twlo_pur.lua 
saving memory in ram
----------------------------------

@title Twil_LivePur loader

!copy parameter from twlo_pur.lua!

@param a aktuelles Datum?
@default a 1
@range a 0 1

@param y Jahr
@default y 1
@values y 2012 2013 2014 2015 2016

@param m Monat
@default m 0
@values m Jan Feb Mar Apr Mai Jun Jul Aug Sep Okt Nov Dez

@param d Tag
@default d 30
@range d 1 31

@param s Sommerzeit?
@default s 1
@range s 0 1

@param t Zeitzone in Min.?
@default t 14
@values t -660 -600 -540 -480 -420 -360 -300 -240 -210 -180 -150 -120 -60 0 60 120 180 210 240 270 300 330 345 360 390 420 480 540 57, 600 660 720 765

@param o 16:9-Anzeige?
@default o 0
@range o 0 1

@param x Speicher-Anzeige?
@default x 0
@range x 0 1

@param u Start with SUN-LIVE-OSD?
@default u 0
@values u Off On
]]

--load script
local sub, err = loadfile("A/CHDK/SCRIPTS/twlo_pur.lua")
--error if script not exist
assert(sub, err)
--set global vars for loaded script
setfenv (sub, _G)
--clean up memory before run script
collectgarbage()
--run script
sub()
